# frozen_string_literal: true

class UpdateOfferEligibleNbJob < ActiveJob::Base
  queue_as :xlow

  def perform(offer_id)
    # kill other pending jobs
    Resque::Job.destroy('xlow', UpdateOfferEligibleNbJob, offer_id)
    if offer = Hermes::HousingOffer.find_by(id: offer_id)
      offer.set(updated_at: DateTime.current, eligible_requests_nb: offer.calculate_eligible_requests_nb)
    end
  end
end
